Subject: Re: [setsockopt] WARNING: CPU: 0 PID: 1444 at kernel/sched/core.c:7088 __might_sleep+0x51/0x16f()

From: Peter Zijlstra <[email-masked]>
Date: Thu, 7 Aug 2014 19:29:01 +0200

On Thu, Aug 07, 2014 at 07:25:14PM +0200, Peter Zijlstra wrote:
> > This isn't the only place that we queue a message for the signalling
> > daemon after a prepare_to_wait() uninterruptibly so this patch would
> > be incomplete as is.
> 
> I'm not sure I follow, this is the only place you do so while then going
> to sleep. All other sites don't sleep while they're enqueued on the
> waitqueue.

Argh, my brain is fried, you're quite right.  I'll go have another stab
at it tomorrow or so.